Module jdk.security.jgss
Package com.sun.security.jgss

## Class AuthorizationDataEntry

- java.lang.Object
- - com.sun.security.jgss.AuthorizationDataEntry

-     public final class AuthorizationDataEntry
      extends Object

  Kerberos 5 AuthorizationData entry.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthorizationDataEntry​(int type, byte[] data)` | Create an AuthorizationDataEntry object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getData()` | Get a copy of the ad-data field.
    `int` | `getType()` | Get the ad-type field.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationDataEntry

          public AuthorizationDataEntry​(int type,
                                        byte[] data)

      Create an AuthorizationDataEntry object.
      Parameters:
        `type` - the ad-type
        `data` - the ad-data, a copy of the data will be saved inside the object.

  - ### Method Detail

    - #### getType

          public int getType()

      Get the ad-type field.
      Returns:
        ad-type

    - #### getData

          public byte[] getData()

      Get a copy of the ad-data field.
      Returns:
        ad-data